Summary:        Date manipulation routines
Name:           perl-Date-Manip
Version:        6.88
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Date-Manip
Source0:        https://cpan.metacpan.org/authors/id/S/SB/SBECK/Date-Manip-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
BuildRequires:  perl(:VERSION) >= 5.10.0
BuildRequires:  perl(Carp) perl(Data::Dumper) perl(Encode) perl(Exporter) perl(integer) perl(IO::File) perl(Storable) perl(utf8)
BuildRequires:  perl(Test::Inter) >= 1.09
BuildRequires:  perl(Test::More)
Requires:       perl(Cwd) perl(File::Find) perl(File::Spec)
Provides:       perl-DateManip = %{version}-%{release}

BuildArch:      noarch

%description
Date::Manip is a series of modules designed to make any common date/time
operation easy to do. Operations such as comparing two times, determining
a data a given amount of time from another, or parsing international times
are all easily done. It deals with time as it is used in the Gregorian
calendar (the one currently in use) with full support for time changes due
to daylight saving time.

%prep
%autosetup -n Date-Manip-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc README README.first
%{perl_vendorlib}/Date/
%{_bindir}/dm_*
%{_mandir}/man[13]/*.[13]*


%changelog
* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.88-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.88-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.88-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 27 2022 Lei Wang <raywlwang@tencent.com> - 6.88-1
- Initial build